Package twisted :: Package mail :: Module maildir :: Class DirdbmDatabase

[frames | no frames]

## Class DirdbmDatabase

Method Summary
| `__init__(self, dbm)`
| `requestAvatarId(self, c)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.cred.checkers.ICredenti...`
`tuple` | `credentialInterfaces` = `(<class twisted.cred.credentials....`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.cred.checkers.ICredentialsChecker at 0x85adbcc>,)

### credentialInterfaces

  Type:
    `tuple`
  Value:

        (<class twisted.cred.credentials.IUsernamePassword at 0x85402ac>,
         <class twisted.cred.credentials.IUsernameHashedPassword at 0x854027c>\
        )

Generated by Epydoc 2.0 on Sat May 15 20:07:41 2004 | http://epydoc.sf.net